package com.bonus.core.customer.model;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@TableName("cust_place")
@ApiModel("位置信息表")
@Data
public class CustPlace extends Model<CustPlace> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("位置id")
   private Long placeId;
   @ApiModelProperty("位置编号")
   private String placeNum;
   @ApiModelProperty("位置名称")
   private String placeName;
   @ApiModelProperty("位置级别")
   private Integer placeLevel;
   @ApiModelProperty("是否是最后一级 1 是 2 否")
   private Integer ifLast;
   @ApiModelProperty("上级位置id")
   private Long superId;
   @ApiModelProperty("位置全称")
   private String placeFullName;
   @ApiModelProperty("位置图片路径")
   private String placeUrl;
   @TableField(
      updateStrategy = FieldStrategy.IGNORED
   )
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @TableField(
      updateStrategy = FieldStrategy.IGNORED
   )
   @ApiModelProperty("档口id")
   private Long shopstallId;
   @TableField(
      updateStrategy = FieldStrategy.IGNORED
   )
   @ApiModelProperty("特殊菜谱id")
   private Long specialRecipeId;
   @TableField(
      updateStrategy = FieldStrategy.IGNORED
   )
   @ApiModelProperty("通用菜谱id")
   private Long commonRecipeId;
   @ApiModelProperty("备注")
   private String remarks;
   @ApiModelProperty("是否删除")
   private Integer ifDel;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @TableField(
      updateStrategy = FieldStrategy.IGNORED
   )
   @ApiModelProperty("订餐员id")
   private Long userId;
   @ApiModelProperty("父级id集合")
   private String superIds;
   @ApiModelProperty("是否公用码 1 是 2 否")
   private Integer publicCode;
   @ApiModelProperty("排序号")
   private String sort;

   public Long getId() {
      return this.id;
   }

   public Long getPlaceId() {
      return this.placeId;
   }

   public String getPlaceNum() {
      return this.placeNum;
   }

   public String getPlaceName() {
      return this.placeName;
   }

   public Integer getPlaceLevel() {
      return this.placeLevel;
   }

   public Integer getIfLast() {
      return this.ifLast;
   }

   public Long getSuperId() {
      return this.superId;
   }

   public String getPlaceFullName() {
      return this.placeFullName;
   }

   public String getPlaceUrl() {
      return this.placeUrl;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public Long getSpecialRecipeId() {
      return this.specialRecipeId;
   }

   public Long getCommonRecipeId() {
      return this.commonRecipeId;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Long getUserId() {
      return this.userId;
   }

   public String getSuperIds() {
      return this.superIds;
   }

   public Integer getPublicCode() {
      return this.publicCode;
   }

   public String getSort() {
      return this.sort;
   }

   public CustPlace setId(final Long id) {
      this.id = id;
      return this;
   }

   public CustPlace setPlaceId(final Long placeId) {
      this.placeId = placeId;
      return this;
   }

   public CustPlace setPlaceNum(final String placeNum) {
      this.placeNum = placeNum;
      return this;
   }

   public CustPlace setPlaceName(final String placeName) {
      this.placeName = placeName;
      return this;
   }

   public CustPlace setPlaceLevel(final Integer placeLevel) {
      this.placeLevel = placeLevel;
      return this;
   }

   public CustPlace setIfLast(final Integer ifLast) {
      this.ifLast = ifLast;
      return this;
   }

   public CustPlace setSuperId(final Long superId) {
      this.superId = superId;
      return this;
   }

   public CustPlace setPlaceFullName(final String placeFullName) {
      this.placeFullName = placeFullName;
      return this;
   }

   public CustPlace setPlaceUrl(final String placeUrl) {
      this.placeUrl = placeUrl;
      return this;
   }

   public CustPlace setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }

   public CustPlace setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
      return this;
   }

   public CustPlace setSpecialRecipeId(final Long specialRecipeId) {
      this.specialRecipeId = specialRecipeId;
      return this;
   }

   public CustPlace setCommonRecipeId(final Long commonRecipeId) {
      this.commonRecipeId = commonRecipeId;
      return this;
   }

   public CustPlace setRemarks(final String remarks) {
      this.remarks = remarks;
      return this;
   }

   public CustPlace setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
      return this;
   }

   public CustPlace setRevision(final Integer revision) {
      this.revision = revision;
      return this;
   }

   public CustPlace setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public CustPlace setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public CustPlace setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public CustPlace setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }

   public CustPlace setUserId(final Long userId) {
      this.userId = userId;
      return this;
   }

   public CustPlace setSuperIds(final String superIds) {
      this.superIds = superIds;
      return this;
   }

   public CustPlace setPublicCode(final Integer publicCode) {
      this.publicCode = publicCode;
      return this;
   }

   public CustPlace setSort(final String sort) {
      this.sort = sort;
      return this;
   }




}
